Page Summary
-
Fetches filtering options for releases and version codes for a specific app.
-
The request requires the
https://www.googleapis.com/auth/playdeveloperreportingOAuth scope. -
The response includes a list of tracks, each containing active releases and their version codes.
-
Tracks are categorized by type and display name, while releases are identified by display name and contain associated version codes.
Describes filtering options for releases.
HTTP request
GET https://playdeveloperreporting.googleapis.com/v1beta1/{name=apps/*}:fetchReleaseFilterOptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Name of the resource, i.e. app the filtering options are for. Format: apps/{app} |
Request body
The request body must be empty.
Response body
A set of filtering options for releases and version codes specific to an app.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"tracks": [
{
object ( |
| Fields | |
|---|---|
tracks[] |
List of tracks to filter releases over. Provides the grouping of version codes under releases and tracks. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/playdeveloperreporting
For more information, see the OAuth 2.0 Overview.
Track
A representation of a Play release track.
| JSON representation |
|---|
{
"displayName": string,
"type": string,
"servingReleases": [
{
object ( |
| Fields | |
|---|---|
displayName |
Readable identifier of the track. |
type |
The type of the track. |
servingReleases[] |
Represents all active releases in the track. |
Release
A representation of an app release.
| JSON representation |
|---|
{ "displayName": string, "versionCodes": [ string ] } |
| Fields | |
|---|---|
displayName |
Readable identifier of the release. |
versionCodes[] |
The version codes contained in this release. |